Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056777 - [legacy upgrade 3.2->3.3] misleading information
Summary: [legacy upgrade 3.2->3.3] misleading information
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.4.0
Assignee: Sandro Bonazzola
QA Contact: Petr Beňas
URL:
Whiteboard: integration
Depends On:
Blocks: 1073464
TreeView+ depends on / blocked
 
Reported: 2014-01-22 22:13 UTC by Alon Bar-Lev
Modified: 2014-06-12 14:09 UTC (History)
13 users (show)

Fixed In Version: org.ovirt.engine-root-3.4.0-14
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1073464 (view as bug list)
Environment:
Last Closed:
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 25165 ovirt-engine-3.3 ABANDONED packaging: setup: legacy: cleanly disable allinone Never
oVirt gerrit 25167 None None None Never
oVirt gerrit 25258 None None None Never
oVirt gerrit 25557 None ABANDONED packaging: setup: Do not show ISO/NFS data if exists Never
oVirt gerrit 26370 None None None Never
oVirt gerrit 26386 None None None Never
oVirt gerrit 26463 None None None Never

Description Alon Bar-Lev 2014-01-22 22:13:19 UTC
During upgrade from legacy, even if aio plugin is not installed we get the following lines at summary which are confusing.

                Configure VDSM on this host        : False
                Local storage domain directory     : /data/images

The source of these is:

packaging/setup/plugins/ovirt-engine-setup/legacy/datadomain.py
---
            self.environment[osetupcons.AIOEnv.CONFIGURE] = False
            self.environment[osetupcons.AIOEnv.ENABLE] = False
            self.environment[
                osetupcons.AIOEnv.STORAGE_DOMAIN_DIR
            ] = path
---

I am unsure why we set false to AIO in legacy upgrade, this should be moved to AIO plugin or similar and be activated only if AIO is enabled.

We also ask during upgrade:

   Configure an NFS share on this server to be used as an ISO Domain? (Yes, No) [Yes]: 

The source of this is:

packaging/setup/plugins/ovirt-engine-setup/legacy/isodomain.py
---
            if host == self.environment[osetupcons.ConfigEnv.FQDN]:
---

This means that if there is no iso domain within database on this host we ask during upgrade, I do not see any reason to ask when upgrading from legacy, but maybe I am missing something.

Comment 2 Sandro Bonazzola 2014-04-02 14:01:21 UTC
From gerrit comments on http://gerrit.ovirt.org/#/c/26043/

Patch Set 2:
I want user be able to use:
--otopi-environment=<somehting>
to re-enable this.
the solution is quicker than this thread. just add another environment.

Since this will potentially cause changes in documentation, automated tests, resetting qa flag and pm flag in order to be sure that the request is acceptable.

I'm giving devel ack on this because also if I don't think it's really useful we should not override an user choice based only on the fact we're upgrading.

Comment 3 Sandro Bonazzola 2014-04-09 13:28:21 UTC
26463 has been merged.

Comment 4 Petr Beňas 2014-04-30 11:30:14 UTC
Verified there is no local iso domain configuration in upgrade to av7 when it was not previously configured.

Comment 5 Itamar Heim 2014-06-12 14:09:04 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.